<?php

class LoremIpsum {

    public static function getTextInPersian() {
        $data = <<<lorem
طراح گرافیک از این متن به عنوان عنصری از ترکیب بندی برای پر کردن صفحه و ارایه اولیه شکل ظاهری و کلی طرح سفارش گرفته شده استفاده می نماید، تا از نظر گرافیکی نشانگر چگونگی نوع و اندازه فونت و ظاهر متن باشد. معمولا طراحان گرافیک برای صفحه‌آرایی، نخست از متن‌های آزمایشی و بی‌معنی استفاده می‌کنند تا صرفا به مشتری یا صاحب کار خود نشان دهند که صفحه طراحی یا صفحه بندی شده بعد از اینکه متن در آن قرار گیرد چگونه به نظر می‌رسد و قلم‌ها و اندازه‌بندی‌ها چگونه در نظر گرفته شده‌است. از آنجایی که طراحان عموما نویسنده متن نیستند و وظیفه رعایت حق تکثیر متون را ندارند و در همان حال کار آنها به نوعی وابسته به متن می‌باشد آنها با استفاده از محتویات ساختگی، صفحه گرافیکی خود را صفحه‌آرایی می‌کنند تا مرحله طراحی و صفحه‌بندی را به پایان برند.
lorem;
        return $data;
    }

    /**
     * Returns lorem ipsum, by count
     * @param int $count
     * @return string
     */
    public static function getWords($count = 3) {
        
        $lorem = explode(" " , self::getTextInPersian());
        shuffle($lorem);
        $join = '';
        foreach ($lorem as $counter => $word) {
            if ($counter >= $count) break;
            $join .= $word . " ";
        }
        $join = str_replace("." , ' ' , $join);
        return $join;
    }

}

